Package org.apache.cxf.helpers

# Class XPathUtils

java.lang.Object
org.apache.cxf.helpers.XPathUtils

public class XPathUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XPathUtils()`
  `XPathUtils(Map<String,String> ns)`
  `XPathUtils(NamespaceContext ctx)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getValue(String xpathExpression, Node node, QName type)`
  `NodeList`
  `getValueList(String xpathExpression, Node node)`
  `Node`
  `getValueNode(String xpathExpression, Node node)`
  `String`
  `getValueString(String xpathExpression, Node node)`
  `boolean`
  `isExist(String xpathExpression, Node node, QName type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XPathUtils

    public XPathUtils()

  - ### XPathUtils

    public XPathUtils(Map<String,String> ns)

  - ### XPathUtils

    public XPathUtils(NamespaceContext ctx)

- ## Method Details

  - ### getValue

    public Object getValue(String xpathExpression, Node node, QName type)

  - ### getValueList

    public NodeList getValueList(String xpathExpression, Node node)

  - ### getValueString

    public String getValueString(String xpathExpression, Node node)

  - ### getValueNode

    public Node getValueNode(String xpathExpression, Node node)

  - ### isExist

    public boolean isExist(String xpathExpression, Node node, QName type)